## com.sun.jna.platform.win32
Class WinNT.PSIDByReference

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.ptr.ByReference
              com.sun.jna.platform.win32.WinNT.PSIDByReference

All Implemented Interfaces:
  com.sun.jna.NativeMapped

Enclosing class:
  WinNT

    public static class WinNT.PSIDByReference

extends com.sun.jna.ptr.ByReference

Constructor Summary
`WinNT.PSIDByReference()`
`WinNT.PSIDByReference(WinNT.PSID h)`

Method Summary
`WinNT.PSID` `getValue()`
`void` `setValue(WinNT.PSID h)`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinNT.PSIDByReference

    public WinNT.PSIDByReference()

### WinNT.PSIDByReference

    public WinNT.PSIDByReference(WinNT.PSID h)

Method Detail

### setValue

    public void setValue(WinNT.PSID h)

### getValue

    public WinNT.PSID getValue()